// flex style

@use 'fun';

// row row-reverse column column-reverse
@mixin flex-direction($value) {
  flex-direction: $value;
}

// wrap wrap-reverse nowrap
@mixin flex-wrap($value) {
  flex-wrap: $value;
}

// keyword: auto initial none
// grow [shrink] [basis]
@mixin flex($value) {
  flex: $value;
}

// number
@mixin flex-grow($value) {
  flex-grow: $value;
}

// number
@mixin flex-shrink($value) {
  flex-shrink: $value;
}

// Specify <'width'> or auto
// Intrinsic sizing keywords
// Automatically size based on the flex item's content
@mixin flex-basis($value) {
  flex-basis: $value;
}

// flex-start flex-end center space-between space-around space-evenly
@mixin justify-content($content) {
  justify-content: $content;
}

// start end center stretch
@mixin justify-items($value) {
  justify-items: $value;
}

// auto flex-start flex-end center stretch
@mixin justify-self($value) {
  justify-self: $value;
}

// flex-start flex-end center space-between space-around space-evenly
@mixin align-content($value) {
  align-content: $value;
}

// start end center stretch
@mixin align-items($value) {
  align-items: $value;
}

// auto flex-start flex-end center stretch
@mixin align-self($value) {
  align-self: $value;
}

// number
@mixin order($value) {
  order: $value;
}

// center start end space-between space-around space-evenly baseline stretch
@mixin place-content($value) {
  place-content: $value;
}

// center start end baseline stretch
@mixin place-items($value) {
  place-items: $value;
}

// center start end baseline stretch
@mixin place-self($value) {
  place-self: $value;
}
